com.verisign.epp.codec.fee.v09

## Class EPPFeeRenData

- java.lang.Object
- - com.verisign.epp.codec.fee.v09.EPPFeeTransformResult
  - - com.verisign.epp.codec.fee.v09.EPPFeeRenData

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPFeeRenData
      extends EPPFeeTransformResult

  Fee Renew Result Extension that enables a server to pass the resulting fee for the renew command.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPFeeRenData`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPFeeRenData`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPFeeRenData()` Default constructor for `EPPFeeRenData`.
    `EPPFeeRenData(java.lang.String aCurrency, EPPFeeValue aFee)` Constructor for `EPPFeeRenData` that takes the required currency parameter along with a single fee.
    `EPPFeeRenData(java.lang.String aCurrency, java.util.List<EPPFeeValue> aFees, java.util.List<EPPFeeCredit> aCredits, java.math.BigDecimal aBalance, java.math.BigDecimal aCreditLimit)` Constructor for `EPPFeeRenData` that takes all attributes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getLocalName()` Returns the local name "renData" for the renew data.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `protected void` | `validateAttributes()` Validate the set of attributes on `encode`.

    - ### Methods inherited from class com.verisign.epp.codec.fee.v09.EPPFeeTransformResult

      `addCredit, addFee, clone, decode, encode, equals, getBalance, getCreditLimit, getCredits, getCurrency, getFees, getPeriod, hasBalance, hasCreditLimit, hasCredits, hasCurrency, hasFees, hasPeriod, setBalance, setCreditLimit, setCredits, setCurrency, setFees, setPeriod, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPFeeRenData`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPFeeRenData`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPFeeRenData

          public EPPFeeRenData()

      Default constructor for `EPPFeeRenData`.

    - #### EPPFeeRenData

          public EPPFeeRenData(java.lang.String aCurrency,
                               EPPFeeValue aFee)

      Constructor for `EPPFeeRenData` that takes the required currency parameter along with a single fee.
      Parameters:
        `aCurrency` - Currency of the fee
        `aFee` - A single fee value

    - #### EPPFeeRenData

          public EPPFeeRenData(java.lang.String aCurrency,
                               java.util.List<EPPFeeValue> aFees,
                               java.util.List<EPPFeeCredit> aCredits,
                               java.math.BigDecimal aBalance,
                               java.math.BigDecimal aCreditLimit)

      Constructor for `EPPFeeRenData` that takes all attributes.
      Parameters:
        `aCurrency` - Currency of the fee
        `aFees` - List of fees
        `aCredits` - OPTIONAL list of credits. Set to `null` to specify no credits.
        `aBalance` - Available balance for client
        `aCreditLimit` - Maximum credit for client.

  - ### Method Detail

    - #### getLocalName

          protected java.lang.String getLocalName()

      Returns the local name "renData" for the renew data.
      Specified by:
        `getLocalName` in class `EPPFeeTransformResult`
      Returns:
        Local name "renData" for the renew data.

    - #### validateAttributes

          protected void validateAttributes()
                                     throws EPPEncodeException

      Validate the set of attributes on `encode`.
      Specified by:
        `validateAttributes` in class `EPPFeeTransformResult`
      Throws:
        `EPPEncodeException` - When an attribute is incorrect set or not set.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.